/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/* mouse shadow */
body::before{
    content: "";
    position: fixed;
    width: 450px;
    height: 450px;
    border-radius: 50%;
    pointer-events: none;
    z-index: 999999;
    transform: translate(-50%, -50%);
    background: radial-gradient(circle,
        rgba(255,255,255,0.10) 0%,
        rgba(255,255,255,0.10) 30%,
        rgba(255,255,255,0.04) 50%,
        rgba(255,255,255,0) 70%
    );
    filter: blur(10px);
    left: var(--x);
    top: var(--y);
}



/*
gf_list_inline
*/
.gform-theme--framework .gfield--type-choice.gf_list_inline .gfield_checkbox,
.gform-theme--framework .gfield--type-choice.gf_list_inline .gfield_radio {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 12px 16px;
}
/*
gf_alert_green
*/
.gform_wrapper .gfield.gfield_html .gf_alert_green {
    border-radius: 3px;
    margin-block: 1.25rem !important;
    margin-inline: 0 !important;
    padding: 1.25rem !important;
    background-color: #cbeca0;
    border: 1px solid #97b48a;
    color: #030;
    text-shadow: #dfb 1px 1px;
}
 
/*
gf_alert_red
*/
.gform_wrapper .gfield.gfield_html .gf_alert_red {
    border-radius: 3px;
    margin-block: 1.25rem !important;
    margin-inline: 0 !important;
    padding: 1.25rem !important;
    background-color: #faf2f5;
    border: 1px solid #cfadb3;
    color: #832525;
    text-shadow: #fff 1px 1px;
}
 
/*
gf_alert_yellow
*/
.gform_wrapper .gfield.gfield_html .gf_alert_yellow {
    border-radius: 3px;
    margin-block: 1.25rem !important;
    margin-inline: 0 !important;
    padding: 1.25rem !important;
    background-color: #fffbcc;
    border: 1px solid #e6db55;
    color: #222;
    text-shadow: #fcfaea 1px 1px;
}
 
/*
gf_alert_gray
*/
.gform_wrapper .gfield.gfield_html .gf_alert_gray {
    border-radius: 3px;
    margin-block: 1.25rem !important;
    margin-inline: 0 !important;
    padding: 1.25rem !important;
    background-color: #eee;
    border: 1px solid #ccc;
    color: #424242;
    text-shadow: #fff 1px 1px;
}
 
/*
gf_confirmation_simple_yellow
*/
.gform_confirmation_wrapper .gf_confirmation_simple_yellow {
    background-color: #fffbcc;
    border-block: 1px solid #e6db55;
    color: #424242;
    font-size: 25px;
    margin-block: 30px;
    margin-inline: 0;
    max-inline-size: 99%;
    padding: 32px;
}
 
/*
gf_confirmation_simple_gray
*/
.gform_confirmation_wrapper .gf_confirmation_simple_gray {
    background-color: #eaeaea;
    border-block: 1px solid #ccc;
    color: #424242;
    font-size: 25px;
    margin-block: 30px;
    margin-inline: 0;
    max-inline-size: 99%;
    padding: 32px;
}
 
/*
gf_confirmation_yellow_gradient
*/
.gform_confirmation_wrapper .gf_confirmation_yellow_gradient {
    background-color: #fffbd2;
    border: 1px solid #e6db55;
    box-shadow: 0 0 5px rgba(221, 215, 131, 0.75);
    margin-block: 30px;
    margin-inline: 0;
    position: relative;
}
 
.gform_confirmation_wrapper .gf_confirmation_yellow_gradient .gform_confirmation_message {
    background: #fffce5;
    background: -moz-linear-gradient(top, #fffce5 0%, #fff9bf 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #fffce5), color-stop(100%, #fff9bf));
    background: -webkit-linear-gradient(top, #fffce5 0%, #fff9bf 100%);
    background: -o-linear-gradient(top, #fffce5 0%, #fff9bf 100%);
    background: -ms-linear-gradient(top, #fffce5 0%, #fff9bf 100%);
    background: linear-gradient(to bottom, #fffce5 0%, #fff9bf 100%);
    background-color: #fffbcc;
    border-block-end: 1px solid #e6db55;
    border-block-start: 2px solid #fff;
    color: #424242;
    font-size: 28px;
    margin: 0;
    max-inline-size: 99%;
    padding: 40px;
}
 
.gform_confirmation_wrapper .gf_confirmation_yellow_gradient::before,
.gform_confirmation_wrapper .gf_confirmation_yellow_gradient::after {
    background: rgba(0, 0, 0, 0.2);
    box-shadow: 0 15px 10px rgba(0, 0, 0, 0.2);
    content: "";
    inline-size: 50%;
    inset-block: 80% 15px;
    inset-inline-start: 10px;
    max-inline-size: 40%;
    position: absolute;
    transform: rotate(-3deg);
    z-index: -1;
}
 
/*
gf_confirmation_green_gradient
*/
.gform_confirmation_wrapper .gf_confirmation_green_gradient {
    background-color: #f1fcdf;
    border: 1px solid #a7c37c;
    box-shadow: 0 0 5px rgba(86, 122, 86, 0.4);
    margin-block: 30px;
    margin-inline: 0;
    position: relative;
}
 
.gform_confirmation_wrapper .gf_confirmation_green_gradient .gform_confirmation_message {
    background: rgb(219, 242, 183);
    background: -moz-linear-gradient(top, rgba(219, 242, 183, 1) 0%, rgba(180, 208, 136, 1) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(219, 242, 183, 1)), color-stop(100%, rgba(180, 208, 136, 1)));
    background: -webkit-linear-gradient(top, rgba(219, 242, 183, 1) 0%, rgba(180, 208, 136, 1) 100%);
    background: -o-linear-gradient(top, rgba(219, 242, 183, 1) 0%, rgba(180, 208, 136, 1) 100%);
    background: -ms-linear-gradient(top, rgba(219, 242, 183, 1) 0%, rgba(180, 208, 136, 1) 100%);
    background: linear-gradient(to bottom, rgba(219, 242, 183, 1) 0%, rgba(180, 208, 136, 1) 100%);
    background-color: #fffbcc;
    border-block-end: 1px solid #a7c37c;
    border-block-start: 2px solid #effade;
    color: #030;
    font-size: 28px;
    margin: 0;
    max-inline-size: 99%;
    padding: 40px;
    text-shadow: #dfb 1px 1px;
}
 
.gform_confirmation_wrapper .gf_confirmation_green_gradient::before,
.gform_confirmation_wrapper .gf_confirmation_green_gradient::after {
    background: rgba(0, 0, 0, 0.2);
    box-shadow: 0 15px 10px rgba(0, 0, 0, 0.2);
    content: "";
    inline-size: 50%;
    inset-block: 80% 15px;
    inset-inline-start: 10px;
    max-inline-size: 40%;
    position: absolute;
    transform: rotate(-3deg);
    z-index: -1;
}
 
 
/*
gf_scroll_text
*/
.gform_wrapper .gsection.gf_scroll_text {
    background-color: #fff;
    block-size: 15rem;
    border: 1px solid #ccc;
    overflow-x: hidden;
    overflow-y: scroll;
    padding: 2rem;
}
 
.gform_wrapper .gsection.gf_scroll_text .gsection_title {
    margin-block-start: 0;
}
 
/*
gf_hide_ampm
*/
.gform_wrapper .gf_hide_ampm .gfield_time_ampm {
    display: none !important;
}
 
/*
gf_hide_charleft
*/
.gform_wrapper .gf_hide_charleft .charleft {
    display: none !important;
}
 
/*
gf_invisible
*/
.gform_wrapper .gf_invisible {
    left: -9999px;
    position: absolute;
    visibility: hidden;
}